function file = modify_ele(str_e) 
% Modify a .ele file in order to get a matrix 

% Read txt into cell A
fid = fopen(str_e, 'r'); 
r1 = fgetl(fid); % row 1 
nT = str2num(r1);
nT = nT(1);

tline = fgetl(fid); % row 2
i = 1;
A{i} = tline;
while ischar(tline)
    i = i+1;
    tline = fgetl(fid);
    A{i} = tline;
end
buffer = fread(fid, Inf); 

if exist('truncated.ele')
   delete('truncated.ele');
end
fid = fopen('truncated.ele', 'w');   
fwrite(fid, buffer);  
 
for j = 1:nT
    if A{j+1} == -1
        fprintf(fid,'%s', A{j});
        break
    else
        fprintf(fid,'%s\n', A{j});
    end
end
fclose(fid);